Ubuntu

please sync most updated tracker 0.10.x (universe) from Debian experimental (main)

Reported by John Stowers on 2011-03-08
90
This bug affects 17 people
Affects Status Importance Assigned to Milestone
tracker (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: tracker

The new stable release, support in Nautilus, etc.

Changes:
tracker (0.10.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libgstreamer0.10-dev and
      libgstreamer-plugins-base0.10-dev to (>= 0.10.31).

 -- Michael Biebl <email address hidden> Fri, 01 Apr 2011 02:02:36 +0200

tracker (0.10.5-1) experimental; urgency=low

  * New upstream release.
  * Remove patches
    - debian/patches/02-require_eds_2_32.patch (fixed upstream)
    - debian/patches/99-autoreconf.patch (obsolete)
  * Update debian/libtracker-miner-0.10-0.symbols.

 -- Michael Biebl <email address hidden> Fri, 25 Mar 2011 02:39:04 +0100

tracker (0.10.4-1) experimental; urgency=low

  * New upstream release.
  * debian/libtracker-sparql-0.10-0.symbols
    - Remove tracker_backend_status_wait_(async,finish) and
      tracker_sparql_connection_init_(async,finish). Those symbols were not
      meant to be public and have been removed.
    - Mark private symbols as optional.
  * debian/libtracker-miner-0.10-0.symbols
    - Mark private symbols as optional.

 -- Michael Biebl <email address hidden> Sat, 19 Mar 2011 17:31:38 +0100

tracker (0.10.3-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <email address hidden> Sat, 12 Mar 2011 00:15:59 +0100

tracker (0.10.2-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <email address hidden> Thu, 10 Mar 2011 22:28:16 +0100

tracker (0.10.1-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/rules
    - Explicitly disable network-manager support to not pick up any additional
      dependencies by accident. Network status detection support is not really
      useful anyway as long as we don't build any web miners.
  * debian/control
    - Remove tracker-status from package description. Its functionality has
      been merged into tracker-control. (See tracker-control --help-status)
    - Replace Build-Depends on libpoppler-dev with
      libpoppler-glib-dev (>= 0.16.0). The newer version of poppler-glib
      provides all necessary features and has a stable API.

 -- Michael Biebl <email address hidden> Sun, 06 Mar 2011 03:50:02 +0100

tracker (0.10.0-1) experimental; urgency=low

  * New major upstream release.
  * Update build dependencies
    - Bump intltool to (>= 0.40.0), libglib2.0-dev to (>= 2.26.0),
      libdbus-glib-1-dev to (>= 0.82).
    - Bump libdbus-1-dev (>= 1.3.1) for Unix file descriptor passing support.
    - Bump libsqlite3-dev to (>= 3.7.0) for WAL (Write-Ahead Logging).
    - Drop libunac1-dev.
    - Add libunistring-dev and libgif-dev.
    - Replace libpoppler-glib-dev with libpoppler-dev (temporarily).
    - Add dia for gtk-doc documentation.
  * Rename library packages for 0.8 → 0.10 soname bump.
  * Add packages for libtracker-sparql-0.10-0 and libtracker-sparql-0.10-dev.
  * Update symbols files.
  * Update patches
    - Drop debian/patches/01-upower.patch, merged upstream.
    - Update debian/patches/02-require_eds_2_32.patch to allow building
      against EDS 2.32.
    - Refresh debian/patches/99-autoreconf.patch.
  * tracker-search-tool has been replaced by tracker-needle. Update install
    file, package description and configure flags.
  * Drop Recommends on unzip (replaced by gzip, which is Essential) and
    odt2txt (obsolete).
  * Drop transitional package tracker-search-tool.
  * Remove obsolete --enable-unac configure flag.
  * Disable tracker-search-bar for now, as we don't have libpanelapplet-4.0 in
    Debian yet.
  * Remove tracker-status-icon as it is no longer shipped upstream. Clean up
    autostart file on upgrades.
  * Update install files.
  * Move libtracker-common, libtracker-data and sparql-modules into
    libtracker-sparql-0.10-0 package. Update shlibs.local accordingly.
  * Add lintian override for binary-or-shlib-defines-rpath for the tracker
    package. The rpath is used by tracker-store to load the private libraries
    in /usr/lib/tracker-0.10.

 -- Michael Biebl <email address hidden> Fri, 25 Feb 2011 15:21:37 +0100

tracker (0.8.17-2) unstable; urgency=low

  * Add explicit Build-Depends on libcamel1.2-dev (>= 2.32.0) and also bump
    evolution-dev and evolution-data-server-dev to (>= 2.32.0), as they need
    to be in sync. (Closes: #613503)
  * debian/patches/02-require_eds_2_32.patch
    - As we require EDS 2.32 now, drop older compat code which no longer
      compiles with newer versions of EDS. (Closes: #614488)
  * Switch from cdbs to dh.
  * Bump debhelper compatibility level to 8.
  * Fix watch file.
  * Add debian/tracker.docs.
  * Make sure libtracker-common does not end up in shlibs or symbols as it is
    a private library. Use shlibs.local to tell dpkg-shlibdeps where to find
    the library instead.

 -- Michael Biebl <email address hidden> Thu, 24 Feb 2011 22:55:39 +0100

John Stowers (nzjrs) wrote :

0.10.0 packages are in debian BTW

Micah Gersten (micahg) on 2011-03-08
tags: added: upgrade-software-version
Dave Walker (davewalker) on 2011-04-03
summary: - Upgrade to tracker 0.10.0 (stable)
+ please sync tracker 0.10.6-1 (universe) from Debian experimental (main)
description: updated
Changed in tracker (Ubuntu):
importance: Undecided → Wishlist

This is unrelated to tracker, but it currently can't be built in oneiric because ca-certificates is uninstallable. This will very likely be resolved soon.

summary: - please sync tracker 0.10.6-1 (universe) from Debian experimental (main)
+ please sync tracker 0.10.11-1 (universe) from Debian experimental (main)
Benjamin Drung (bdrung) on 2011-05-04
Changed in tracker (Ubuntu):
assignee: nobody → Benjamin Drung (bdrung)
status: New → In Progress

tracker 0.10.11-1 builds on amd64. Sync request ACK'd.

Changed in tracker (Ubuntu):
assignee: Benjamin Drung (bdrung) → nobody
status: In Progress → Confirmed

[Updating] tracker (0.8.17-1ubuntu2 [Ubuntu] < 0.10.11-1 [Debian])
 * Trying to add tracker...
2011-05-06 09:59:34 INFO - <tracker_0.10.11-1.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-05-06 09:59:34 INFO - <tracker_0.10.11.orig.tar.bz2: downloading from http://ftp.debian.org/debian/>
2011-05-06 09:59:38 INFO - <tracker_0.10.11-1.dsc: downloading from http://ftp.debian.org/debian/>
I: tracker [universe] -> tracker_0.8.17-1ubuntu2 [universe].
I: tracker [universe] -> tracker-utils_0.8.17-1ubuntu2 [universe].
I: tracker [universe] -> tracker-gui_0.8.17-1ubuntu2 [universe].
I: tracker [universe] -> tracker-explorer_0.8.17-1ubuntu2 [universe].
I: tracker [universe] -> tracker-extract_0.8.17-1ubuntu2 [universe].
I: tracker [universe] -> tracker-miner-fs_0.8.17-1ubuntu2 [universe].
I: tracker [universe] -> tracker-miner-evolution_0.8.17-1ubuntu2 [universe].
I: tracker [universe] -> tracker-dbg_0.8.17-1ubuntu2 [universe].

Changed in tracker (Ubuntu):
status: Confirmed → Fix Released
SB (sonny-benshimon) wrote :

I saw that that 0.10.11-1 was only packaged for oneiric. Are there plans to backport the current stable release to Natty or does this pose some technical difficulty? Thanks for the hard work.

SB (sonny-benshimon) wrote :

I guess the tracker folks are currently working on this in full speed as every couple of days there is a new stable release.
As of today, May 13th, Debian experimental has version 0.10.13
http://packages.debian.org/experimental/utils/tracker

Is this package automatically sync'd from Debian and will we constantly get the Debian updates or do the maintainers fix a version and stick with it until release of oneiric?

summary: - please sync tracker 0.10.11-1 (universe) from Debian experimental (main)
+ please sync tracker 0.10.13-1 (universe) from Debian experimental (main)
summary: - please sync tracker 0.10.13-1 (universe) from Debian experimental (main)
+ please sync most updated tracker 0.10.x (universe) from Debian
+ experimental (main)
Benjamin Drung (bdrung) wrote :

It will be automatically synced from Debian unstable until the import freeze, but not from experimental. Please open a new sync request bug. This sync (0.10.11-1) is already processed. requestsync from ubuntu-dev-tools will help you to request the sync.

SB (sonny-benshimon) wrote :

Benjamin, thanks for the suggestion. I myself am not a developer, so I think it will be an overkill to install the ubuntu-dev-tools package for this new bug - it has tons of dependencies that also need to be installed . Is there any other way to do open a request sync bug? If I want to do that manually, what info should I enter in the bug report? Thanks for the help

Benjamin Drung (bdrung) wrote :

You should state the package name, version, and series that you want to get synced. Having the changelog entries showing the new to-be-synced is recommended. You can use bug #707690 as an example. There is one important step: You need to subscribe (not assign) ubuntu-sponsors to get your sync request reviewed. Otherwise no Ubuntu developer will notice your request. If you have more questions, you can raise them in our development IRC channel (#ubuntu-devel on freenode).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers